export interface Social {
    type: string | null
    text: string,
    link: string
}

export interface StreamData {
    tags: string[]
    title: string
    topic: string
    startedAt: number
    viewers: number
    preview: string
    cursor?: string
}

export interface StreamerData {
    username: string
    followers: number
    isLive: boolean
    about: string
    socials?: Social[]
    pfp: string
    stream?: StreamData | null
    isPartner: boolean | null
    colorHex: string
    id: number
}

export interface Badge {
    id: string,
    title: string,
    setId: string,
    version: string,
    images: { [k:string]: string }
}